# TdApi.InputMessageForwarded (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InputMessageForwarded

Package it.tdlight.jni

# Class TdApi.InputMessageForwarded

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageForwarded

Enclosing class:
  TdApi

    public static class TdApi.InputMessageForwarded
    extends TdApi.InputMessageContent

A forwarded message.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.MessageCopyOptions` | `copyOptions` | Options to be used to copy content of the message without reference to the original sender; pass null to try to forward the message as usual.
`long` | `fromChatId` | Identifier for the chat this forwarded message came from.
`boolean` | `inGameShare` | True, if a game message is being shared from a launched game; applies only to game messages.
`long` | `messageId` | Identifier of the message to forward.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InputMessageForwarded()` | A forwarded message.
`InputMessageForwarded​(long fromChatId, long messageId, boolean inGameShare, TdApi.MessageCopyOptions copyOptions)` | A forwarded message.
`InputMessageForwarded​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fromChatId

public long fromChatId
Identifier for the chat this forwarded message came from.

### messageId

public long messageId
Identifier of the message to forward.

### inGameShare

public boolean inGameShare
True, if a game message is being shared from a launched game; applies only to game messages.

### copyOptions

public TdApi.MessageCopyOptions copyOptions
Options to be used to copy content of the message without reference to the original sender; pass null to try to forward the message as usual.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InputMessageForwarded

public InputMessageForwarded()
A forwarded message.

### InputMessageForwarded

public InputMessageForwarded​(long fromChatId, long messageId, boolean inGameShare, TdApi.MessageCopyOptions copyOptions)
A forwarded message.

Parameters:
  `fromChatId` - long Identifier for the chat this forwarded message came from.
  `messageId` - long Identifier of the message to forward.
  `inGameShare` - boolean True, if a game message is being shared from a launched game; applies only to game messages.
  `copyOptions` - MessageCopyOptions Options to be used to copy content of the message without reference to the original sender; pass null to try to forward the message as usual.

### InputMessageForwarded

public InputMessageForwarded​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`